#################
# Test goal: Test of units of multifield values defined by user
# Author: David Flanderka
# Source for reference: qualitative

flow123d_version: 3.1.0
problem: !Coupling_Sequential
  description: Tests correct functionality of setting input multifields by user defined units.
  mesh:
    mesh_file: ../00_mesh/square_1x1_40el.msh
  flow_equation: !Flow_Darcy_LMH
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-12
        r_tol: 1.0e-12
    input_fields:
      - region: ALL
        conductivity: 1.0e-10
      - region: .boundary
        bc_type: dirichlet
        bc_pressure: 0
    output:
      fields:
        - pressure_p0
        - velocity_p0
    balance:
      cumulative: true
    output_stream:
      file: ./flow_test16.pvd
      format: !vtk
        variant: ascii
  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_Advection_FV
      input_fields:
        - region: .boundary
          bc_conc: 0
        - region: ALL
          init_conc: !FieldConstant
            value:
              - 0
              - 900
              - 0
            unit: g*m^-3
          sources_sigma:
            - 3
            - 3
            - 10
          sources_conc: !FieldConstant
            value:
              - 600
              - 600
              - 600
            unit: g*m^-3
          porosity: 0.9
    output_stream:
      file: ./transport_test16.pvd
      format: !vtk
        variant: ascii
      times:
        - step: 0.2
      precision: 14  
    substances:
      - A
      - B
      - C
    balance:
      cumulative: true
    time:
      end_time: 1.0
